<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [upgradeWarehouse](./bitburner.warehouseapi.upgradewarehouse.md)

## WarehouseAPI.upgradeWarehouse() method

Upgrade warehouse.

**Signature:**

```typescript
upgradeWarehouse(divisionName: string, city: CityName, amt?: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) | Name of the city |
|  amt | number | _(Optional)_ Amount of upgrades. Defaults to 1. |

**Returns:**

void

## Remarks

RAM cost: 20 GB

